Subject: Re: [PATCH 2/2] acpi: Disable IRQ 0 through I/O APIC for some HP systems

From: Ingo Molnar <[email-masked]>
Date: Mon, 7 Jul 2008 09:36:35 +0200

* Ingo Molnar <[email-masked]> wrote:

> > Please note two things:
> > (1) The whole acpi_dmi_table[] thing originally depended on __i386__, so it
> >     wouldn't work on x86-64 no matter what.  I removed that dependecy, but
> >     I have no idea why it was there and so I'm not sure if that's correct. 
> 
> > (2) The clear_IO_APIC_pin(apic1, pin1) done if 
> >     disable_irq0_through_ioapic is true is absolutely essential.  The 
> >     symptoms are 100% reproducible without it.
> 
> thanks, applied to tip/x86, to give this some more testing.

i know you havent submitted this for inclusion yet, but FYI it wont 
build on 32-bit with a config like:

 http://redhat.com/~mingo/misc/config-Mon_Jul__7_09_22_45_CEST_2008.bad

	Ingo